#
# spec file for package gnome-session (Version 2.2.0.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel atk atk-devel audiofile bonobo-activation bonobo-activation-devel esound esound-devel expat freetype2 freetype2-devel gconf2 gconf2-devel glib2 glib2-devel gnome-desktop gnome-desktop-devel gnome-mime-data gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel indent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeui libgnomeui-devel libgtop2 libgtop2-devel libidl libidl-devel libjpeg libpng-devel-packages libwnck libwnck-devel libxml2 libxml2-devel libzvt2 libzvt2-devel linc linc-devel openssl openssl-devel orbit2 orbit2-devel pango pango-devel pkgconfig popt python python-devel python-xml x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel bzip2 cracklib esound esound-devel expat freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-desktop gnome-desktop-devel gnome-mime-data gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel indent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeui libgnomeui-devel libgtop2 libgtop2-devel libidl libidl-devel libjpeg libpng libpng-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libzvt2 libzvt2-devel linc linc-devel openssl openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt popt-devel python python-devel python-xml rpm

Name:         gnome-session
%define prefix   /opt/gnome2
%define sysconfdir /etc%{prefix}
License:      GPL, LGPL
Group:        System/GUI/GNOME
Autoreqprov:  on
Version:      2.2.0.2
Release:      159
Summary:      Session Tools for the GNOME 2.x Desktop
Source:       gnome-session-%{version}.tar.bz2
Source1:      gnome
Source2:      pictures.desktop
Source3:      presentation.desktop
Source4:      text.desktop
URL:          http://www.gnome.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       filesystem
# add script to run after session completion
Patch:        start-intro.dif
Patch1:       splash.dif

%description
This package provides the basic session tools, like the session
management functionality, for the GNOME 2.0 Desktop.



Authors:
--------
    Tom Tromey <tromey@cygnus.com>
    Felix Bellaby <felix@pooh.u-net.com>
    Ralph Mor, X Consortium
           

%prep
%setup -n gnome-session-%{version} 
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
#
# install startup script
install -d -m755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m755 %SOURCE1 $RPM_BUILD_ROOT/usr/X11R6/bin/gnome
# desktop links and script to run after session completion
mkdir -p $RPM_BUILD_ROOT/opt/gnome2/share/dist/ul
install -m644 %SOURCE2 $RPM_BUILD_ROOT/opt/gnome2/share/dist/ul/pictures.desktop
install -m644 %SOURCE3 $RPM_BUILD_ROOT/opt/gnome2/share/dist/ul/presentation.desktop
install -m644 %SOURCE4 $RPM_BUILD_ROOT/opt/gnome2/share/dist/ul/text.desktop

%post
echo -n " gnome-session.schemas " >> var/adm/SuSEconfig/run-gconf2-schema-installation

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
/usr/X11R6/bin/gnome
%{prefix}/bin/*
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*
# %{prefix}/share/pixmaps/splash
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/gnome/default.session
%{prefix}/share/gnome/default.wm
/etc/%{prefix}/gconf/schemas/*
%{prefix}/share/control-center-2.0/capplets/session-properties.desktop
%{prefix}/share/dist/ul/text.desktop
%{prefix}/share/dist/ul/presentation.desktop
%{prefix}/share/dist/ul/pictures.desktop

%changelog -n gnome-session
* Mon Feb 23 2004 - sbrabec@suse.cz
- Removed incorrect initialization of LD_LIBRARY_PATH (bug #34777).
* Mon Mar 17 2003 - sbrabec@suse.cz
- Removed /opt/gnome2 from GNOME2_PATH (fixes #24601).
* Mon Mar 03 2003 - hhetter@suse.de
- remove documents directories (Bug Id#24589)
- add search path for KDE icons (Bug Id#24590)
* Mon Feb 24 2003 - hhetter@suse.de
- mention feedback website in session script
  instead of feedback@suse.de
* Thu Feb 20 2003 - hhetter@suse.de
- set G_BROKEN_FILENAMES=1 to handle invalid UTF8
  filenames as local-specific
* Tue Feb 18 2003 - hhetter@suse.de
- fill solid color at first time
* Fri Feb 14 2003 - hhetter@suse.de
- use GTK_DATA_PREFIX while in GNOME Session
* Thu Feb 13 2003 - hhetter@suse.de
- set GNOME2_PATH in session
* Tue Feb 11 2003 - hhetter@suse.de
- fix documents-file creation
* Mon Feb 10 2003 - hhetter@suse.de
- updated to version 2.2.0.2 [GNOME 2.2.0]
- removed Intro script (moving to preconfiguration package)
- allow for different splash image via preconfiguration package
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0.1
- some SLOD feature backports
  (file type desktop links, Intro script)
* Thu Jan 16 2003 - sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.9 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Wed Nov 06 2002 - hhetter@suse.de
- use correct kde-datadir
- no longer create .gnome for gnome-vfs2
- look for addon scripts to run on first start
* Tue Oct 22 2002 - hhetter@suse.de
- updated to version 2.0.10
- removed wrong docdir
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 - hhetter@suse.de
- added correct hu translations
* Mon Sep 02 2002 - hhetter@suse.de
- set background to gray until splash becomes visible
  (reviewed by Ken)
* Thu Aug 29 2002 - hhetter@suse.de
- rename gnome2 to gnome, to keep the GNOME session for
  users who are updating the distribution (Bug Id#18552)
* Thu Aug 22 2002 - hhetter@suse.de
- use jpg as wallpaper format for preconfiguration
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - hhetter@suse.de
- remove control-center deps from neededforbuild
* Thu Aug 08 2002 - hhetter@suse.de
- updated to version 2.0.5, bug id's relate to bugzilla.gnome.org
  * Fix crashing when starting emacs, #89968
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 2.0.4
  * amend global save to Both if user selects save session
  * capplet saving state fix
  * translation updates
* Thu Aug 01 2002 - hhetter@suse.de
- include the session startup script
* Tue Jul 30 2002 - hhetter@suse.de
- updated to version 2.0.3
  session-manager:
  * Re-write the splash screen to not use the canvas
  * Fix crash with logout dialog
  * Make file selector when editing startup programs modal
  * Increased initial client timeout to 30 seconds
  Translation updates
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.2
* Thu Jun 20 2002 - hhetter@suse.de
- updated to version 2.0.1
- don't install schemas while make install
* Mon Jun 17 2002 - ro@suse.de
- use libpng-devel-packages in neededforbuild
* Fri Jun 14 2002 - hhetter@suse.de
- provide schema file
- filelist rework
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.5.21, source frozen
* Mon Apr 15 2002 - hhetter@suse.de
- initial SuSE Release
